Skip to content

History Data Retention ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getDataRetentionGETGet history data retention configuration
modifyRetentionPATCHModify history data retention configuration
getMspClientDetailInfoSettingGETGet MSP client detail information setting.
modifyMspClientDetailInfoSettingPATCHModify MSP client detail information setting.

getDataRetention ​

GET /openapi/v1/{omadacId}/retention

Get history data retention configuration

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getDataRetention"
}
Details, permissions and error codes

Get data retention configuration.
The interface requires one of the permissions:
Global Other Setting View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30001 - Controller is not configured.
-7131 - Controller ID not exist.

modifyRetention ​

PATCH /openapi/v1/{omadacId}/retention

Modify history data retention configuration

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ModifyHistoryRetentionOpenApiVO

FieldTypeRequiredDescription
overridebooleannoWhether the customer overrides the retention configuration of MSP. This configuration applies to the customer in MSP mode only. If true, customer retention configuration will be used (excluding daily, clientHistory, log and widsData).
clientsDataEnablebooleanyesWhether the clients' history data is recorded.
clientDataTrendEnablebooleannoWhether the client data trend records is recorded.
clientRecognitionEnablebooleannoWhether client recognition is enabled. With the feature enabled, network devices will report client information in real time to ensure the accuracy of client recognition. Cloud Access is required for client recognition.
clientHealthEnablebooleannoWhether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space.
knownClientintegernoRetention configuration of known client Data, knownClient should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 1: 1day; 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days.
clientHistoryintegernoRetention configuration of client History(only effective in local controller), clientHistory should be a value as follows: -1: Disabled; 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days.
dailyintegernoRetention configuration of time series with daily granularity, daily should be a value as follows: 90: 90days; 180: 180days; 365: 365days(Fixed value in Cloud Based Controller as 365 days).
weeklyintegernoRetention configuration of time series with weekly granularity, weekly should be a value as follows: 31: 31days; 90: 90days; 180: 180days; 365: 365days.
portalAuthintegernoRetention configuration of portal authentication records, portalAuth should be a value as follows: 0: All Time(Windows, Linux Only); 7: 7days; 31: 31days; 90: 90days; 180: 180days; 365: 365days.
logintegernoRetention Configuration of log data(only effective in local controller), log should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days.
rogueApintegernoRetention Configuration of rogue ap data, rogueAp should be a value as follows: 0: All Time(Windows, Linux Only); 31: 31days; 90: 90days; 180: 180days; 365: 365days.
widsDataintegernoRetention Configuration of wids data(only effective in local pro controller), widsData should be a value as follows: 0: All Time(Windows, Linux Only); 90: 90days; 180: 180days; 365: 365days.
clientDataTrendDailyintegernoRetention Configuration of client data trend records(only effective in local controller), clientDataTrendDaily should be a value as follows: 1: 1day; 7: 7days; 31: 31days; 60: 60days, 90: 90days.
json
// omada_call_operation
{
  "operationId": "modifyRetention",
  "body": "{...}"
}
Details, permissions and error codes

Modify history data retention configuration.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30001 - Controller is not configured.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-7131 - Controller ID not exist.

getMspClientDetailInfoSetting ​

GET /openapi/v1/msp/{mspId}/client-detail-information

Get MSP client detail information setting.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getMspClientDetailInfoSetting"
}
Details, permissions and error codes

Get MSP client detail information setting.
The interface requires one of the permissions:
MSP Other Settings View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30001 - Controller is not configured.
-7131 - Controller ID not exist.

modifyMspClientDetailInfoSetting ​

PATCH /openapi/v1/msp/{mspId}/client-detail-information

Modify MSP client detail information setting.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema MspClientDetailInfoSettingVO

FieldTypeRequiredDescription
clientHealthEnablebooleannoWhether client health is enabled. When enabled, client health data will be recorded, which may consume a significant amount of storage space.
clientHistoryEnablebooleannoWhether client history is enabled. When enabled, client history, client logs will be recorded. This will occupy much storage space.
clientDataTrendEnablebooleannoWhether client data trend record is enabled. When enabled, client trend statistics and charts will be retained, which will take up lots of storage space.
json
// omada_call_operation
{
  "operationId": "modifyMspClientDetailInfoSetting",
  "body": "{...}"
}
Details, permissions and error codes

Modify MSP client detail information setting.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30001 - Controller is not configured.
-7131 - Controller ID not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.